xcb_clear_area(3)

NAME
xcb_clear_area -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_clear_area(xcb_connection_t *conn, uint8_t exposures, xcb_window_t window, int16_t x, int16_t y, uint16_t width, uint16_t height);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

exposures
    TODO: NOT YET DOCUMENTED.

window
    TODO: NOT YET DOCUMENTED.

x   TODO: NOT YET DOCUMENTED.

y   TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_clear_area_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.